Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #616 (reopened defect)

Opened 16 years ago

Last modified 13 years ago

AP stops sending Beacons...

Reported by: xromain Assigned to:
Priority: major Milestone:
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending: 0

Description (Last modified by mrenzmann)

I using two VAP:

- VAP AP: ath0 in "ap" mode.

- VAP STA: ath1 in "sta nosbeacon" mode.

When VAP STA (ath1) is connected to another AP, the VAP AP (ath0) bring up and send beacons normally... Everything is OK.

But, when all interfaces running and when I want to scan "the air" by typing: "iwlist ath1 scan", VAP AP (ath0) immediately stops the sending of the beacons until I stop and restart the ath0 interface.

It is obvious when typing "athstats" and monitoring traffic on other computer.

I can reproduce this behavior each time.

My card is a WLM54G from Compex.

Driver info:

ath_hal: 0.9.16.16 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (svn 1546)
ath_rate_sample: 1.2 (svn 1546)
ath_pci: 0.9.4.5 (svn 1546)
ACPI: PCI Interrupt 0000:00:09.0[A] -> Link [LNKC] -> GSI 9 (level, low) -> IRQ 9
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 7.8 phy 4.5 radio 5.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0xd0000000, irq=9

My kernel version is 2.6.16

Change History

05/12/06 07:19:48 changed by mrenzmann

  • description changed.

06/23/06 16:54:35 changed by Bas

I have exactly the same problem. As long as the station (ath1) is connected to another AP on the same channel, the beacons of the ap (ath0) are seen, and a laptop stays connected. As soon as the station goes to another channel, the beacons from the ap stop.

Is there a way I can prevent the station from going to another channel? I tried setting bgscan to 0 for the station, but with no result. I want it to stick on the channel the AP is configured on. For my case, it's even better if the station would not associate, but only listens to neighboring beacons. As all I need the station for is the results of a iwlist ath1 scan. (I can't do that with the monitor interface) Anybody knows a trick/setting for this?

kernel 2.6.15-7

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.16.16 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (0.9.0)
ath_rate_sample: 1.2 (0.9.0)
ath_pci: 0.9.4.5 (0.9.0)
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36
Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.9 phy 4.3 radio 3.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0xa0010000, irq=11

07/21/06 07:05:15 changed by anonymous

any solutiin?

08/11/06 12:01:58 changed by anonymous

Anyone can fix it?

05/15/07 02:23:24 changed by anonymous

exactly the same problem:
ath0 ap
ath1 sta

It is unable to set ath0 to one particular channel - it is changing all the time. When I use "iwlist ath1 scan", ath0 stops sending the beacons and nobody sees it. I need ath1 for scanning other networks (to omit interferences) - unable with ath1 monitor :(

08/14/08 16:41:37 changed by aclarke

Any update on this? Has anyone found a workaround?

We are having the same problem, we want to scan, so we need a station, but we are primarily an AP. We do not want the station to associate, or to change the channel of the ap, or to stop the ap beacons.

Any idea where to start to look in the code?

08/14/08 16:50:16 changed by mrenzmann

  • pending set to 1.

Can any of you guys confirm that this issue still exists in (a recent revision of) trunk? I just want to avoid that people are asking for a solution without having tested whether the issue still exists.

08/14/08 21:17:17 changed by aclarke <ac@aaronclarke.com>

I verified this with r3837 on a toshiba satellite P105-S6167 with Atheros AR5BXB61.

If I create an ap and a station, bring up the ap first, it transmits beacons, as soon as I bring up the station it stops (using athstats to monitor).

If I create and ap and a station, but also set the channel of the ap before I bring it up, it will transmit and have the correct channel until I bring up the station. Then the ap changes the channel to the one chosen by the station, and it continues to transmit beacons but now its on the wrong channel.

This issues seem similar to #433, and #980.

08/15/08 00:26:13 changed by aclarke <ac@aaronclarke.com>

With r3837 I notice I do not need a station to do a scan, I can create a single ap on ath0 and get results from iwlist ath0 scan. That didn't work with 0.9.4. That would solve my problem, but as soon as I scan on ath0, it changes the channel of the AP.

08/29/08 04:25:02 changed by trac-robot

  • status changed from new to closed.
  • pending deleted.

This ticket was closed automatically by the system. It was previously set to a Pending status and hasn't been updated within 14 days.

08/29/08 06:06:21 changed by mrenzmann

  • status changed from closed to reopened.

For some reason, the robot didn't notice the answers to this ticket. Reopening.